Bug 103896 - OO.o port should add <OO_DIR>/program to LD_LIBRARY_PATH
Summary: OO.o port should add <OO_DIR>/program to LD_LIBRARY_PATH
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-02 10:40 UTC by Mihnea Capraru
Modified: 2008-06-01 13:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mihnea Capraru 2006-10-02 10:40:16 UTC
The OpenOffice.org port doesn't add <OO_dir>/program to LD_LIBRARY_PATH, which makes programs that link to the UNO interface fail with a somehow cryptical message (Java.lang.UnsatisfiedLinkError: createJNI).

Fix: 

Please append /usr/local/openoffice-***/program to LD_LIBRARY_PATH to prevent this in the future.
How-To-Repeat: Install OpenOffice.org 2 from ports, try to start a UNO application, available from instance among the Developer's Guide samples http://download.openoffice.org/680/sdk.html.
Comment 1 Edwin Groothuis freebsd_committer 2006-10-02 11:51:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2007-04-01 12:32:54 UTC
State Changed
From-To: open->feedback

Is this still a problem?
Comment 3 Martin Wilke freebsd_committer 2008-06-01 13:41:56 UTC
State Changed
From-To: feedback->closed

Feedback timeout about 1 year. If this problem still exists, please feel 
free to follow-up this PR so that we can re-open it and find a solution 
for the problem. Thanks!